import { z } from 'zod';

export const SiteSchema = z.object({
  title: z.string(),
  description: z.string(),
  url: z.url(),
  keywords: z.array(z.string()).default([]),
  ogImage: z.string(),
  twitter: z.string().optional(),
  features: z
    .object({
      hero3D: z.boolean().default(true),
      smoothScroll: z.boolean().default(true),
      customCursor: z.boolean().default(true),
      partyMode: z.boolean().default(true),
    })
    .default({
      hero3D: true,
      smoothScroll: true,
      customCursor: true,
      partyMode: true,
    }),
});

export type Site = z.infer<typeof SiteSchema>;
